> ## Documentation Index
> Fetch the complete documentation index at: https://docs.glorycloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Whitelisted IP

> Add a whitelisted IP address to allow use of proxies without requiring a username and password.



## OpenAPI

````yaml post /go-api/v1/ipWhite/add
openapi: 3.0.1
info:
  title: GoProxy API Documentation
  description: ''
  version: 1.0.0
servers: []
security: []
tags: []
paths:
  /go-api/v1/ipWhite/add:
    post:
      tags: []
      summary: Add Whitelisted IP
      description: >-
        Add a whitelisted IP address to allow use of proxies without requiring a
        username and password.
      parameters:
        - name: apiKey
          in: header
          description: API key used for authentication.
          required: true
          example: ''
          schema:
            type: string
            title: apiKey
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IpWhiteAddRequestBody'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IpWhiteAddResponseModel'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    IpWhiteAddRequestBody:
      properties:
        proxyType:
          type: integer
          title: proxyType
          description: >-
            The proxy type to which the whitelisted IP should be applied. Use: 1
            for Rotating Residential, 2 for Rotating Mobile, 3 for Rotating
            Datacenter.
        ipAddress:
          type: string
          title: ipAddress
          description: The IPv4 address you want to whitelist.
        remarks:
          type: string
          title: remarks
          description: Optional remark or description about the whitelisted IP.
      type: object
      required:
        - proxyType
        - ipAddress
      title: IpWhiteAddRequestBody
    IpWhiteAddResponseModel:
      type: string
      title: IpWhiteAddResponseModel
      example: Success

````